Loading...
Searching...
No Matches
TextLoggingBox Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for TextLoggingBox:

## Classes

struct | tab_table

## Public Member Functions

| TextLoggingBox ()
| ~TextLoggingBox ()
void | reset_msg_level ()
int | get_unseen_msg_level ()
sigc::signal< void > & | signal_msg_level_changed ()

## Private Member Functions

virtual bool | on_key_press_event (GdkEventKey *event)
void | show_msg (string msgbuf, GxLogger::MsgType msgtype, bool plugged)
virtual void | on_show ()
virtual void | on_hide ()

## Private Attributes

Gtk::VBox | box
Gtk::Button | ok_button
Gtk::HButtonBox | buttonbox
Gtk::ScrolledWindow | scrollbox
Gtk::TextView | tbox
Glib::RefPtr< Gtk::TextTag > | tags [GxLogger::kMessageTypeCount]
int | highest_unseen_msg_level
sigc::signal< void > | msg_level_changed

## Static Private Attributes

static tab_table | tagdefs [GxLogger::kMessageTypeCount]

## Detailed Description

Definition at line 572 of file gx_main_window.h.

## Constructor & Destructor Documentation

## TextLoggingBox()

TextLoggingBox::TextLoggingBox | ( |  | ) |

## ~TextLoggingBox()

TextLoggingBox::~TextLoggingBox | ( |  | ) |

## Member Function Documentation

## get_unseen_msg_level()

int TextLoggingBox::get_unseen_msg_level | ( |  | ) |

inline

Definition at line 596 of file gx_main_window.h.

## on_hide()

virtual void TextLoggingBox::on_hide | ( |  | ) |

private virtual

## on_key_press_event()

virtual bool TextLoggingBox::on_key_press_event | ( | GdkEventKey * | event | ) |

private virtual

## on_show()

virtual void TextLoggingBox::on_show | ( |  | ) |

private virtual

## reset_msg_level()

void TextLoggingBox::reset_msg_level | ( |  | ) |

## show_msg()

void TextLoggingBox::show_msg | ( | string | msgbuf,
|  | GxLogger::MsgType | msgtype,
|  | bool | plugged )

private

## signal_msg_level_changed()

sigc::signal< void > & TextLoggingBox::signal_msg_level_changed | ( |  | ) |

inline

Definition at line 597 of file gx_main_window.h.

## Member Data Documentation

## box

Gtk::VBox TextLoggingBox::box

private

Definition at line 578 of file gx_main_window.h.

## buttonbox

Gtk::HButtonBox TextLoggingBox::buttonbox

private

Definition at line 580 of file gx_main_window.h.

## highest_unseen_msg_level

int TextLoggingBox::highest_unseen_msg_level

private

Definition at line 585 of file gx_main_window.h.

Referenced by get_unseen_msg_level().

## msg_level_changed

sigc::signal<void> TextLoggingBox::msg_level_changed

private

Definition at line 586 of file gx_main_window.h.

Referenced by signal_msg_level_changed().

## ok_button

Gtk::Button TextLoggingBox::ok_button

private

Definition at line 579 of file gx_main_window.h.

## scrollbox

Gtk::ScrolledWindow TextLoggingBox::scrollbox

private

Definition at line 581 of file gx_main_window.h.

## tagdefs

tab_table TextLoggingBox::tagdefs[GxLogger::kMessageTypeCount]

static private

Definition at line 583 of file gx_main_window.h.

## tags

Glib::RefPtr<Gtk::TextTag> TextLoggingBox::tags[GxLogger::kMessageTypeCount]

private

Definition at line 584 of file gx_main_window.h.

## tbox

Gtk::TextView TextLoggingBox::tbox

private

Definition at line 582 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h